MSWriteParserInternal::Section Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MSWriteParserInternal::Section Struct Reference

`#include <MSWrite.h>`

## Public Member Functions
| Section ()
| constructor

## Public Attributes
uint32_t | m_fcLim
unsigned | m_bkc
double | m_yaMac
double | m_xaMac
double | m_yaTop
double | m_dyaText
double | m_xaLeft
double | m_dxaText
uint16_t | m_startPageNumber
double | m_yaHeader
double | m_yaFooter
bool | m_endFtns
unsigned | m_columns
double | m_dxaColumns
double | m_dxaGutter
WPSEntry | m_Main

## Constructor & Destructor Documentation

## ◆ Section()

MSWriteParserInternal::Section::Section | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_bkc

unsigned MSWriteParserInternal::Section::m_bkc

Referenced by MSWriteParser::getHeaderFooters(), and DosWordParser::readSECT().

## ◆ m_columns

unsigned MSWriteParserInternal::Section::m_columns

Referenced by MSWriteParser::getPageStyle(), DosWordParser::readSECT(), and MSWriteParser::startSection().

## ◆ m_dxaColumns

double MSWriteParserInternal::Section::m_dxaColumns

Referenced by MSWriteParser::getPageStyle(), and DosWordParser::readSECT().

## ◆ m_dxaGutter

double MSWriteParserInternal::Section::m_dxaGutter

Referenced by DosWordParser::readSECT().

## ◆ m_dxaText

double MSWriteParserInternal::Section::m_dxaText

Referenced by MSWriteParser::getPageStyle(), DosWordParser::readSECT(), MSWriteParser::readSED(), and MSWriteParser::startSection().

## ◆ m_dyaText

double MSWriteParserInternal::Section::m_dyaText

Referenced by MSWriteParser::getPageStyle(), DosWordParser::readSECT(), and MSWriteParser::readSED().

## ◆ m_endFtns

bool MSWriteParserInternal::Section::m_endFtns

Referenced by DosWordParser::readSECT().

## ◆ m_fcLim

uint32_t MSWriteParserInternal::Section::m_fcLim

Referenced by MSWriteParser::getHeaderFooters(), DosWordParser::readSECT(), and MSWriteParser::readSED().

## ◆ m_Main

WPSEntry MSWriteParserInternal::Section::m_Main

Referenced by MSWriteParser::getHeaderFooters().

## ◆ m_startPageNumber

uint16_t MSWriteParserInternal::Section::m_startPageNumber

Referenced by MSWriteParser::getPageStyle(), DosWordParser::readSECT(), and MSWriteParser::readSED().

## ◆ m_xaLeft

double MSWriteParserInternal::Section::m_xaLeft

Referenced by MSWriteParser::getPageStyle(), DosWordParser::readSECT(), and MSWriteParser::readSED().

## ◆ m_xaMac

double MSWriteParserInternal::Section::m_xaMac

Referenced by MSWriteParser::getPageStyle(), DosWordParser::readSECT(), and MSWriteParser::readSED().

## ◆ m_yaFooter

double MSWriteParserInternal::Section::m_yaFooter

Referenced by DosWordParser::readSECT(), and MSWriteParser::readSED().

## ◆ m_yaHeader

double MSWriteParserInternal::Section::m_yaHeader

Referenced by DosWordParser::readSECT(), and MSWriteParser::readSED().

## ◆ m_yaMac

double MSWriteParserInternal::Section::m_yaMac

Referenced by MSWriteParser::getPageStyle(), DosWordParser::readSECT(), and MSWriteParser::readSED().

## ◆ m_yaTop

double MSWriteParserInternal::Section::m_yaTop

Referenced by MSWriteParser::getPageStyle(), DosWordParser::readSECT(), and MSWriteParser::readSED().

The documentation for this struct was generated from the following file:

- MSWrite.h